commit 4af727597dc3f1fbabd879f457d39ccf76e55cef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:22:23 2012 -0800

    xscope 1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a248f83ea89f5d4df35fcdc1e07ef147f72c9cf6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 19 22:29:41 2012 -0700

    Add -V option to print version and exit
    
    Can't use -v, as that's already in use for verbosity level
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 13c3f1338ef1ed233cd3e400a6b6bd5f499be592
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 18 22:36:30 2012 -0700

    When not using xtrans, check if -lsocket & -lnsl are needed for Solaris/SVR4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5d77ae6a2646140a28a9c90c5f39bca506277ad2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 18 22:30:13 2012 -0700

    Don't include Xtrans files if xtrans is disabled
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 38bb715cc1f932a5f48d93dd57f21adaa7f6c321
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Oct 18 22:23:18 2012 -0700

    Rename sockaddr_un variable from sun to saun to avoid conflict with #define sun
    
    Compilers auto-define "sun" on Solaris/SunOS, which causes the variable
    name to turn into a constant "1", breaking the parsing of the code.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 747ecb19f89540b60ae340ddc1d176f00ef4c216
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 12 18:37:00 2012 -0700

    xscope 1.3.99.901 (1.4 RC1)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b4de85b1b63d03322c2c831002bd5aa6418347ba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Aug 28 23:35:37 2012 -0700

    Update RANDR support from 0.x to include 1.0 - 1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 95a436f7efd7061a15e3be533c56e573aac2db92
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 26 21:45:45 2012 -0700

    Refactor error printing to use common functions
    
    All errors currently recognized by xscope fall into two forms,
    with or without a 32-bit value to print as a bad value, so use
    common implementations for those two forms so we can stop
    duplicating that code for every new extension-defined error.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8b26ded773e1cd4890e93836692ecc9f136c5efd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 21 23:42:23 2012 -0700

    Add experimental support for reading a previously recorded file
    
    If you run "xscope -r -v0 > xscope.raw", then you can later run
    "xscope -f xscope.raw" to decode the data.
    
    Mainly adding this to aid in testing decoding of new extensions,
    so I don't have to re-run the commands over and over, just replay
    a log file.   (Which may or may not have been edited to include
    additional request data for further testing of types & formats
    that clients may not make it easy to generate.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5cf76eb8f489f6c4d1ba76bf6fe782c3cf45803d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 21 11:36:18 2012 -0700

    Refactor fd closing into CloseFD helper function
    
    All versions now perform same check for XtransConn data to decide
    whether to use _X11TransClose or regular close, which is needed for
    being able to read data from pre-recorded files instead of live sockets.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit d325cc4930d7e04bd09d54548c6dc58329cfc15b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 21 11:02:00 2012 -0700

    When Verbose == 0, don't print number of data items in unknown reply types
    
    We don't print any other data from packet when Verbose == 0, just had
    a few random "data: (6)" type lines sneak through.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 41692eb416df3bff1e5a10b8c71058248c5d9308
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 20 23:00:33 2012 -0700

    Add -I command line flag to enter interactive mode at startup
    
    Avoids having to try to time a ^C after the signal handler is set up
    but before any data is handled.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 519488decdfe224c79e7f2f18e36d2ecae2166a2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 15 12:54:38 2012 -0700

    Add support for printing more types of property value
    
    Prints atoms, cardinals, integers, and windows as formatted values
    instead of lists of bytes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d678ab80b2987ddd696519a27dad5571c379b511
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 15 02:01:41 2012 -0700

    Print UTF8_STRING properties as text if locale uses UTF-8 charset
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit 95a96dbdc483d9dc6371f52a9e41771a64d23aed
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 15 01:32:49 2012 -0700

    Create PrintPropertyValues function for property requests
    
    Currently used for core protocol window properties, but will be
    used for extensions that have similar property handling requests
    in the future.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9a8ad93043569c2717bd88f0264e0d3a28b56a74
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 15 01:30:16 2012 -0700

    Record atoms from InternAtom and GetAtomName requests
    
    Uses them to display strings instead of just numeric ids for atoms
    beyond the builtin set in other requests, such as property lookups.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 510c5429e4c2e2f4d8752e688e9fbc008523774d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 14 23:16:17 2012 -0700

    Convert ValueRec structures from unsigned long to uint32_t values
    
    Used for GC struct members, which are defined in the protocol as 32-bit,
    so no need to waste time and memory copying into 64-bit longs everywhere
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e1e857744290f0a09d60435e8d5997efb0a436ba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 14 22:35:18 2012 -0700

    Handle big-requests when calculating request contents from length field
    
    Adds a getreqlen inline function to handle the big requests check.
    As noted in the comment, it must be called *before* the printreqlen
    macro does its own check, since printreqlen "fixes" the buf pointer
    when it's done to align all the remaining fields with their correct
    positions after skipping over the extra big requests 32-bit length
    field after the normal 16-bit length field.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ba266b7b08cf5914b5ec6912763d319f57f00bc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 14 22:59:17 2012 -0700

    ILong: shift each byte individually, then OR them together
    
    instead of shifting the whole word as each byte is loaded into place
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5ec0ba545da0a9e52e2c6a473dbbc81b4a6f7f96
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 14 22:24:17 2012 -0700

    Move ILong, IShort, etal to inline functions in x11.h
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fdd58cacbb5b93b74ba9ba766e752b922a7c8b9c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 14 22:16:27 2012 -0700

    Convert ILong, IShort, etal to return C99 uint*_t types
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9b9f7c3cacc1d220962fab1b910c6d76e2cd8087
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 18:20:12 2012 -0700

    Convert remaining bcopy() calls to memcpy()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit 5425131a498cdab54fbcfbae4991b22ebfa793ee
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 18:13:10 2012 -0700

    Add _X_NORETURN to additional functions suggested by gcc warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f0df23d778ae5b85745de0e48729b039b5b3f69a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 18:09:54 2012 -0700

    Convert remaining sprintf calls to snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit d5cc5b0e6b4e9cd1ee35e58069018f75bb0a3ed3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 15:01:56 2012 -0700

    SaveBytes: drop unnecessary casts in bcopy() call
    
    Clears gcc warning from casting a const char * to char *:
    server.c: In function `SaveBytes':
    server.c:203: warning: cast discards qualifiers from pointer target type
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Mark Kettenis <kettenis@openbsd.org>

commit 29ec5378ff7eae6b14a49347008ea35db069b936
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 14:57:45 2012 -0700

    Move debug statement before panic() call, so it can actually run
    
    Fixes compiler warning:
    "fd.c", line 481: warning: statement not reached
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 36ddba4f6f916eabfc94a22cf7845221f1d4a3cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 13:27:37 2012 -0700

    Define *HEADER constants as string pointers, not arrays
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c7e1d62267ad0296fbe29c00cd6b54a1ee1f93e0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 13:21:33 2012 -0700

    Combine usage message into single string for fprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e38f959f756a0a3d4ce17e6e2735cfd411fd9d82
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 13:18:58 2012 -0700

    Use local variable for ioctl argument instead of a static
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b8160915909e59fc65cc08855fb32fee6f5d89ad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 11:58:20 2012 -0700

    Convert to X.Org standard indentation & cleanup whitespace
    
    Performed with util/modular/x-indent-all.sh, followed by manual fixups
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b30118f1504fb065cf0b4aca150703834881d9e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 9 00:07:33 2012 -0700

    Convert Keith's personal license notice to X.Org standard MIT license notice
    
    Acked-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b4d59c18315b14b5fac1e01e158f461438e47fb4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 15 13:10:19 2012 -0700

    Convert sources from ISO 8859-1 to UTF-8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 670016475f1d7833bca5206a4d46704db36bccdb
Author: Jeff Smith <whydoubt@yahoo.com>
Date:   Wed Jul 28 15:29:56 2010 -0500

    Retry _X11TransConnect on TRANS_TRY_CONNECT_AGAIN
    
    Reading through Xtranssock.c reveals that when _X11TransConnect returns the
    value TRANS_TRY_CONNECT_AGAIN, it turns off the abstract socket flag, so
    that attempting _X11TransConnect might succeed the second time where it
    failed the first time.
    
    Now xscope will attempt the connection a second time when it receives the
    TRANS_TRY_CONNECT_AGAIN return value on the first connection attempt.
    
    Signed-off-by: Jeff Smith <whydoubt@yahoo.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ea0a2788b1e82f2b19a3c46e6d42d0a86fd17f38
Author: Peter Jeremy <peterjeremy@acm.org>
Date:   Tue Feb 28 08:38:46 2012 +1100

    Bug 46696 - Try alternate protocol on X11 connection failure.
    
    In USE_XTRANS mode, MakeConnection() cycles through a selection of
    protocol choices until it finds one where it can open a socket to
    the server.  It then attempts an X11 connection via that socket and
    aborts if one isn't possible.
    
    This patch modifies the code to try an alternate protocol if the X11
    connection fails.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46696
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c328376384a64f6dbdc476a1d6c5244aad8261ec
Author: Peter Jeremy <peterjeremy@acm.org>
Date:   Mon Feb 27 20:46:29 2012 +1100

    Bug 46691 - xscope-1.3.1 deadlocks if client or server would block
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46691
    
    Use correct write FD to select() on.
    
    FlushFD() contains logic to handle the Xclient or Xserver blocking on
    a write() by changing the global read and write fd_set's so that
    MainLoop() will select() on the blocking write FD instead of the peer
    read FD.  Unfortunately, the code contains a logic error so that it
    winds up select()ing for write on the peer FD instead of the blocked FD.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b21c6c52bb8109329d7eb63072f8ebf41a42a7f9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 8 11:12:27 2012 -0700

    Use __XFDS_BITS macros from Xpoll.h instead of direct __fds_bits access
    
    Different platforms use different names for the fd_set members,
    so use the existing Xpoll.h macros for greater portability.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e63977f320b8678d66bb061b9502dc0764a5427f
Author: Peter Jeremy <peterjeremy@acm.org>
Date:   Mon Feb 27 19:08:25 2012 +1100

    Bug 46689 - xscope fd_set debug output is undefined
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46689
    
    Change fd_set debug output to display actual contents of first 32 or 64 bits.
    
    In xscope-1.3.1, MainLoop() contains debug(128,...) code that appears
    intended to display the fd_set contents before and after the main
    select() call.  In most implementations, fd_set will be a struct though
    it is printed as an int, thus the actual debug output is unlikely to
    usefully reflect the actual fd_set contents.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3bc1cf3e11be566e3d342834abe8fde7f5983a80
Author: Peter Jeremy <peterjeremy@acm.org>
Date:   Mon Feb 27 13:39:58 2012 +1100

    Bug 46664 - xscope prints only half the characters in 16-bit strings
    
    https://bugs.freedesktop.org/show_bug.cgi?id=46664
    
    The length fields for PolyText16 and ImageText16 represent the number of
    16-bit characters in the request but PrintString16() and PrintTString16()
    treat the lengths as the number of octets in the string - thus printing
    only half of the characters.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 415b229bf02de9e4c9ac75a458912336661f5ed1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 11 19:38:16 2012 -0700

    Add link to original xscope paper in README
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b3a142cc7b5c9a4fa18de04cd16a2f1bede8995
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Mar 4 18:18:36 2012 -0800

    Include <arpa/inet.h> for inet_addr in !USE_XTRANS case
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit b5dd025ef08cf8c907a4ceeb7a3d79458edd064d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 21 21:59:26 2012 -0800

    xscope 1.3.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 06ce4d5cf8371f2bc2e5f8223c2e64085799f470
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 6 00:35:56 2012 -0800

    Check the right return value for malloc failure
    
    Error detected by Solaris Studio 12.3 code analyzer:
    WARNING 1 (MRC): missing null-pointer check after malloc: calloc(((ullong)MaxFD),48) at:
    	InitializeFD()  <app/xscope/fd.c : 107>
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a1c283e6f39117301319b60e261e9d1e22ea0d4d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 6 00:34:45 2012 -0800

    Mark panic() as _X_NORETURN
    
    Makes the dependency on x11proto explicit - it was already needed for
    the X11 headers included in various files, but now needs to be at least
    7.0.17 for the _X_NORETURN definition in Xfuncproto.h
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a66cdfd0978015c2f3eedc968a40637f850aa917
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 4 09:04:50 2011 -0800

    Fix builds of scope.c with Solaris Studio compilers
    
    Required in order to build with Studio cc now that xorg-macros is
    setting -errwarn=E_FUNC_HAS_NO_RETURN_STMT since a bug in the Solaris
    system headers causes the noreturn attribute to not be correctly
    applied to the exit() prototype in <stdlib.h> when building with
    Studio instead of gcc.
    
    Otherwise compiler exits with error:
    "scope.c", line 643: Function has no return statement : CMDQuit
    
    Uses Studio-specific pragma instead of adding another exit() prototype
    with a noreturn attribute to avoid causing gcc to warn about having
    a redundant prototype for the exit() function.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 26a18245264f88214101fef27f4acc7806a469a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 11 23:01:20 2011 -0800

    Remove extra definition of ScopeEnabled from x11.h
    
    It's already defined in scope.h, which is more widely #included and
    a more logical home for it.
    
    Clears a bunch of gcc warnings of:
    scope.h:125:13: warning: redundant redeclaration of ‘ScopeEnabled’
    x11.h:266:13: note: previous declaration of ‘ScopeEnabled’ was here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit af2cc5bc2e13a61e6ab3d495d3edb34d94a42964
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Add const attributes to clear gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7fbf2ff3c925a0cc55024bc8350ad9e9bf8d1e47
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Store ClientNumber as int instead of converting back & forth to long
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit bc8eb7adf2c2f04fdc262ee370feda9e0d8781c3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    File descriptors should be stored in ints not shorts
    
    All OS routines take and return ints for file descriptors, so stop
    converting back and forth to shorts.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fb391ffad2ccd5b76d6a87e4d2e83ff5282edee5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Remove StaticMaxFD now that all uses now allocate dynamically
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit e259c7ec60a84280dbf7e2cf041a6fec79f53e1f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Make FDinfo dynamically allocated
    
    We still allocate one fdinfo struct for every possible FD up front
    instead of resizing as needed, but they're much smaller now that
    we just have a pointer to the 32k buffer instead of including it
    directly in the fdinfo.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fcb83e31a0dfd85e4ec105dd656ed405e64c387b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Allocate buffers dynamically as needed instead of as part of fdinfo struct
    
    Previously we'd allocate a buffer of 32k each for each fd up to the
    compiled in StaticMaxFD, which could be as large as 65535 on some
    systems (that's the Solaris 64-bit default FD_SETSIZE), resulting in
    gigabytes of bss allocation on startup.
    
    Now we don't allocate until we're actually setting up the fdinfo for
    use as part of a client<->server connection.
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit fafdfa0e1a54e19f11e220340df0557c794fabc6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Make ReplyQ dynamically allocated
    
    We still allocate a QueueHeader (a struct containing 2 pointers) for
    every possible FD, instead of allocating only as needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 39bbb6265aa79c1ff3d787f5e23c8cb5f13bd6c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Make CS dynamically allocated
    
    We still allocate one ConnState struct for every possible FD up front
    instead of resizing as needed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit a70f4e6f7243e9e6803b3308a15c9cf3a77ee383
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Ensure ScopeHost global is initialized when built with USE_XTRANS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 37092d5ae31fa53c9a2f378786bfebe26e04c030
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Use strdup instead of malloc(strlen+1); strcpy();
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 283b9a2a9da3ad662789d1127a486c8735589f73
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Use calloc() instead of malloc(); bzero();
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4acfec7c03865144491f913694f8dca17072d13e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Call realloc() instead of open coding it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit edca92c10572b6bb7dd60db156f545d98373f803
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:44 2011 -0700

    Stop wrapping malloc & free
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 93812aa7950342c809a9dcbd9d50379c050b51ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 30 20:19:43 2011 -0700

    Clean up existing malloc calls
    
    Remove unnecessary casts from (void *)
    Ensure return value is checked.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 7392f2b780ab3346014634d2532f3b8ca99101a6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 2 10:27:18 2011 -0800

    Add Intel copyright to COPYING for glx additions in xscope 1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 379b0529eca8cc808c31e21afe041e36ffe82469
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 15:14:52 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a298bf274a53c1c04b6b634b7e5bfb1f6ff62089
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 19:54:07 2011 -0800

    Remove unused variable server_client from print_lbx.c
    
    Fixes gcc warning:
    print_lbx.c:31: warning: 'server_client' defined but not used
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e71c788fe1659e58a983d7a388367317a23e07a9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 7 19:49:26 2011 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e1c92233d401c7a6e739220de8d5260abc1a445a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 18:27:59 2010 -0700

    xscope 1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 80a7ccf7df6c8e74220a128fba2f2da7bccf53d1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 18:26:19 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e54b74549ebf99321e3a7986ff2d4ec18a7ad11
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 26 17:54:09 2010 -0700

    Makefile.am: Add glxscope.h to xscope_SOURCES so distcheck works
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6ebcb9d1c483407542fea55b4aa84d3c6e0f03a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 26 17:51:13 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 73b178a04269c0383f1f08207532f177dcb70835
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 26 17:50:23 2010 -0700

    config: Use AC_DEFINE instead of -D flag for setting USE_XTRANS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 965213342f7b42fdd2ec7289f8fabd9330a880ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 26 17:41:53 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 48d35f25a01e57c5604d5a3d5253c41fbaabd37d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6fa3e0c937885e0302e8d7258cc94371203a906c
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Fri Jul 23 12:32:45 2010 -0400

    Add basic support for GLX extension
    
    Signed-off-by: Kristian Høgsberg <krh@bitplanet.net>

commit 0e3496a1551d3b0947f8fd20cd78275ab81278ed
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jun 9 13:56:28 2010 -0400

    Use strncpy rather than strlcpy as it is not available on Linux
    
    Because it is available on other platforms, it only fails on Linux.
    strncpy should be safe enough in this situation where a constant is copied.
    The xserver private impl of strlcpy is not available to apps.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bc4ca2a54785b03ee771180d1142496f06f76adb
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri May 14 16:59:11 2010 -0700

    Allow quitting via EOF (^D) on the command line
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 26db4f6adf5a43f49b7941bab90c05c1e271d6b0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed May 12 18:12:37 2010 -0700

    Fallback on other transports.
    
    This adds support for --disable-unix-transport
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit df598a664bf5c22e9fa55a15f38780c55cac47d2
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Thu Apr 29 13:34:35 2010 -0700

    Eliminate a few compiler warnings for style and signedness.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 344db0911e1e2447abe210b5684269a2a0daf04c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon Apr 5 17:19:46 2010 -0700

    Allow a configure option to build without xtrans (--disable-xtrans)
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 73cffd5048e10e512cbc2edc7b136162e7dd1408
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 14 22:11:04 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b5d8184ab63551e948913fa35a32054e4cf0f539
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 62760e7de55d0411dc192112689c25bee0991098
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 12 15:00:02 2009 -0500

    INSTALL, NEWS, README and AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    For all X.Org components.

commit f4340ba7529cf2a1ab442fa55feb480c3fd26e8c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 12 14:48:00 2009 -0500

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 5f98e638ff394d99ef22cb9e7d0c8c4abf89de39
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 00:24:19 2009 -0700

    xscope 1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 186e9134da5d440ae2f2194164a14f52c05ba150
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 30 23:22:51 2009 -0700

    Update COPYING file
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 42d50379212932c7807e4d963a3b33b3c129bd71
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 30 23:06:48 2009 -0700

    Update notes about only testing on Sun3's
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6d29eee4cf29fa916a145dcf09b2380bffd53a72
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Sep 30 22:31:38 2009 -0700

    Fix breakpoint disabling
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b287c1b1670bec76dec2856a52354be9087fca7c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 29 10:28:17 2009 -0700

    Add support for setting breakpoints on extension requests
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d3e165bc8f24b9fe0f6f8330cb55eed3f30e51ce
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 29 09:41:26 2009 -0700

    Fix typo in "Enabling all breakpoints" message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ee5466fb41640654e1359c30cfed1bab7e156704
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 29 09:35:19 2009 -0700

    Add interactive mode description & command list to man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 42038b1eaca64e76de52adc93d12ef2927428677
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 29 09:21:22 2009 -0700

    Show request name, not just number, in breakpoint list
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3d55f9b61ba23234c5355ed725963fdc0e520d45
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Sep 29 00:32:20 2009 -0700

    Decode ServerInterpreted addresses in HOST structures
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8f5292aad3a0dcbc219d76d63ea915f49d403bbc
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 28 23:48:38 2009 -0700

    Replace platform #ifdefs with autoconf tests
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a5de13686c9ad9c8fc7e4cf2508fd2ba1de50965
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 28 21:44:58 2009 -0700

    README updates
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit cbf235460e163b9b27024a2ccb8cb6c1487a7dfb
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Sep 28 21:39:42 2009 -0700

    Add AC_USE_SYSTEM_EXTENSIONS to configure.ac
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4fe64535cf96968593975c96bc1cf1700d4f818c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Sep 27 23:47:53 2009 -0700

    Add missing return statements in PrintSET & PrintENUMERATED
    
    Fixes warnings:
    "prtype.c", line 654: warning: Function has no return statement : PrintENUMERATED
    "prtype.c", line 704: warning: Function has no return statement : PrintSET
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e93c377de48b8a3f28586334341f5d85953f26d3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Sep 27 23:43:35 2009 -0700

    Upgrade to xorg-macros 1.3 and XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit fdf93171dbccb6f9aa2eb2569a61d3cf790f0dc3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Sep 27 23:36:03 2009 -0700

    man page: add missing options & info, fix formatting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 6ec99fe027820038b539d8b463c09a6213e48a8c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Sep 27 23:15:41 2009 -0700

    Correct message when SIGUSR1 received
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 923215b60f4339b7a641274f30c9afca40f41999
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun Sep 27 22:09:26 2009 -0700
